Subject: bug#73656: 30.0.91; icomplete-vertical has no matches for M-x man RET chdir

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Oct 2024 17:48:15 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 06 Oct 2024 14:33:11 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Most probably NetBSD-specific.
> 
> At a guess, I thought the manpage sections are indexed somewhere.  That
> chdir(2) and fchdir(2) won't list but acct(2) will dispels that theory.
> All of section 2 wouldn't be listed.  Does emacs icomplete-vertical
> manpage autocomplete lookup something like a locatedb for manpages and
> that needs to update periodically? chdir(2) and fchdir(2) are
> fundamental and would be indexed at the earliest run.  The status update
> is incorrect where it says [No matches] at the full "chdir" manpage name
> and RET displays the manpage.  I will ask the netbsd-users.

We use "man -k", which is why I asked what does it say about chdir.